package org.example;

import java.time.Instant;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.ZoneId;

public class Main {
    public static void main(String[] args) {
        // Create a LocalDate representing the date May 25, 2023
        LocalDate date = LocalDate.of(2023, 5, 25);

        // Perform date arithmetic: Add 7 days
        LocalDate futureDate = date.plusDays(7);

        System.out.println("Original Date: " + date);
        System.out.println("Future Date: " + futureDate);


        // Create a LocalDateTime representing April 15, 2023, at 3:30 PM
        LocalDateTime dateTime = LocalDateTime.of(2023, 4, 15, 15, 30);

        // Perform date-time arithmetic: Add 2 hours
        LocalDateTime futureDateTime = dateTime.plusHours(2);

        System.out.println("Original DateTime: " + dateTime);
        System.out.println("Future DateTime: " + futureDateTime);



        long epochTime = 1677648000; // Example Epoch time

        // Convert Epoch time to LocalDate
        Instant instant = Instant.ofEpochSecond(epochTime);
        LocalDate localDate = instant.atZone(ZoneId.systemDefault()).toLocalDate();

        System.out.println("Converted LocalDate: " + localDate);


        long epochTime2 = 1677648000; // Example Epoch time
        // Convert Epoch time to LocalDateTime
        Instant instant2 = Instant.ofEpochSecond(epochTime2);
        LocalDateTime localDateTime = instant2.atZone(ZoneId.systemDefault()).toLocalDateTime();

        System.out.println("Converted LocalDateTime: " + localDateTime);


        ZoneId desiredZone = ZoneId.of("America/New_York"); // Example desiredZone

        LocalDate localDateInDesiredZone = instant.atZone(desiredZone).toLocalDate();
        System.out.println("Converted LocalDate: " + localDateInDesiredZone);


        LocalDateTime localDateTimeInDesiredZone = instant.atZone(desiredZone).toLocalDateTime();
        System.out.println("Converted LocalDateTime: " + localDateTimeInDesiredZone);
    }
}